Skip to main content
Unlisted page
This page is unlisted. Search engines will not index it, and only users having a direct link can access it.

Webex

Authentication & Authorization

Credentials

  • Webex connects via OAuth 2.0 with Authorization Code Grant Flow.
  • Client ID and Client Secret credentials can be obtained through the Webex account See Webex Connection Instructions.
  • DataGrail uses Refresh Token Flow to periodically update Access Token after it expires to keep the connection alive.
  • Publicly exposing your API credentials can allow unauthorized access to the Webex API endpoints, and your Webex data by a third party. DataGrail stores your API credentials encrypted and protected.

Scopes

Webex API requires specific scopes that need to be approved by you in order to grant DataGrail read on certain objects necessary to complete access requests:

  • meeting:participants_read
  • meeting:admin_participants_read
  • meeting:preferences_read
  • meeting:schedules_read
  • meeting:admin_schedule_read

Endpoints Utilized

  • Request authorization:
    • GET https://webexapis.com/v1/authorize
  • Get and refresh access token:
    • POST https://webexapis.com/v1/access_token

Version

DataGrail webex integration currently supports Webex API version 1 (v1).

Limits

The Webex API rate limits requests to maintain appropriate service levels for all Webex API users. The rate limiting policies in place are fine-grained and often overlap.

DataGrail processes API responses with HTTP 429 status to interrupt requests, waiting and retrying (using an exponential backoff strategy).

Access

For an access request, DataGrail will take the following actions:

  • Retrieve details for meetings.
  • Retrieve meeting participants by the meetingId.
  • Select meetings where participants matches the Data Subject email.
  • Add an extra field with total number of participants (total_participants).
  • Add an extra field indicating if it’s a 1-1 conversation between Data Subject and someone else (is_1_on_1_conversation).
  • For all meetings found, DataGrail remove host attributes if host isn't data subject.
  • You can edit which objects and fields you want to provide to the Data Subject via our Portal Requests.

Endpoints Utilized

  • GET https://webexapis.com/v1/meetings
  • GET https://webexapis.com/v1/meetingParticipants
note

DataGrail also supports the Direct Contact Access workflow for Webex.

Deletion

DataGrail supports the Direct Contact Deletion workflow for Webex.

 

Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.